package cokr.xit.fims.sprt;

import cokr.xit.fims.cmmn.CmmnQuery;

public class SprtQuery extends CmmnQuery {

	private static final long serialVersionUID = 1L;

	// 필수
	private String callControlName;												// 호출한 페이지의 Control 이름
	// ID
	private String crdnId;														// 단속 ID
	private String levyExclId;													// 부과 제외 ID
	private String opnnId;														// 의견 ID
	private String levyId;														// 부과 ID
	private String cvlcptDscsnId;												// 민원 상담 ID
	private String vhrno;														// 차량번호
	private String rtpyrNo;														// 납부자 번호
	private String rtpyrNm;														// 납부자 명
	private String fyr;															// 회계연도
	private String levyNo;														// 부과 번호
	// ETC
	private String callPurpose;													// 호출용도 필요시 사용(select, create, update)
	private String delYn;														// 삭제 여부
	private String delRsn;														// 삭제 사유
	private String inquiryCondition;											// 조회 조건

	public String getCallControlName() {
		return ifEmpty(callControlName, () -> null);
	}

	public <T extends SprtQuery> T setCallControlName(String callControlName) {
		this.callControlName = callControlName;

		return self();
	}

	public String getCrdnId() {
		return ifEmpty(crdnId, () -> null);
	}

	public <T extends SprtQuery> T setCrdnId(String crdnId) {
		this.crdnId = crdnId;

		return self();
	}

	public String getLevyExclId() {
		return ifEmpty(levyExclId, () -> null);
	}

	public <T extends SprtQuery> T setLevyExclId(String levyExclId) {
		this.levyExclId = levyExclId;

		return self();
	}

	public String getOpnnId() {
		return ifEmpty(opnnId, () -> null);
	}

	public <T extends SprtQuery> T setOpnnId(String opnnId) {
		this.opnnId = opnnId;

		return self();
	}

	public String getLevyId() {
		return ifEmpty(levyId, () -> null);
	}

	public <T extends SprtQuery> T setLevyId(String levyId) {
		this.levyId = levyId;

		return self();
	}

	public String getCvlcptDscsnId() {
		return ifEmpty(cvlcptDscsnId, () -> null);
	}

	public <T extends SprtQuery> T setCvlcptDscsnId(String cvlcptDscsnId) {
		this.cvlcptDscsnId = cvlcptDscsnId;

		return self();
	}

	public String getVhrno() {
		return ifEmpty(vhrno, () -> null);
	}

	public <T extends SprtQuery> T setVhrno(String vhrno) {
		this.vhrno = vhrno;

		return self();
	}

	public String getRtpyrNo() {
		return ifEmpty(rtpyrNo, () -> null);
	}

	public <T extends SprtQuery> T setRtpyrNo(String rtpyrNo) {
		this.rtpyrNo = rtpyrNo;

		return self();
	}

	public String getRtpyrNm() {
		return ifEmpty(rtpyrNm, () -> null);
	}

	public <T extends SprtQuery> T setRtpyrNm(String rtpyrNm) {
		this.rtpyrNm = rtpyrNm;

		return self();
	}

	public String getFyr() {
		return ifEmpty(fyr, () -> null);
	}

	public <T extends SprtQuery> T setFyr(String fyr) {
		this.fyr = fyr;

		return self();
	}

	public String getLevyNo() {
		return ifEmpty(levyNo, () -> null);
	}

	public <T extends SprtQuery> T setLevyNo(String levyNo) {
		this.levyNo = levyNo;

		return self();
	}

	// ETC /////////////////////////////////////////////////////////////////////
	public String getCallPurpose() {
		return ifEmpty(callPurpose, () -> null);
	}

	public <T extends SprtQuery> T setCallPurpose(String callPurpose) {
		this.callPurpose = callPurpose;

		return self();
	}

	public String getDelYn() {
		return ifEmpty(delYn, () -> null);
	}

	public <T extends SprtQuery> T setDelYn(String delYn) {
		this.delYn = delYn;

		return self();
	}

	public String getDelRsn() {
		return ifEmpty(delRsn, () -> null);
	}

	public <T extends SprtQuery> T setDelRsn(String delRsn) {
		this.delRsn = delRsn;

		return self();
	}

	public String getInquiryCondition() {
		return ifEmpty(inquiryCondition, () -> null);
	}

	public <T extends SprtQuery> T setInquiryCondition(String inquiryCondition) {
		this.inquiryCondition = inquiryCondition;

		return self();
	}
	// ETC /////////////////////////////////////////////////////////////////////

}
